package screen-profiles 2.17-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 2

Bug #393204 reported by shivain22 on 2009-06-28
80
This bug affects 18 people
Affects Status Importance Assigned to Milestone
byobu (Ubuntu)
High
Dustin Kirkland 

Bug Description

I was upgrading jaunty to karmic 64. Acer aspire 2920 intel pentium 4 c2d.

ProblemType: Package
AptOrdering:
 xserver-xorg-video-intel: Install
 screen-profiles: Configure
 xserver-xorg-video-intel: Configure
Architecture: amd64
Date: Sun Jun 28 23:57:37 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess post-installation script returned error exit status 2
Package: screen-profiles 2.17-0ubuntu1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.30-10.12-generic
SourcePackage: byobu
Title: package screen-profiles 2.17-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 2
Uname: Linux 2.6.30-10-generic x86_64

Related branches

shivain22 (shivain22) wrote :
Philip Muškovac (yofel) on 2009-06-29
affects: ubuntu → screen-profiles (Ubuntu)

Hi-

What is the output of:

 $ ls -alF /usr/bin/screen*

:-Dustin

affects: screen-profiles (Ubuntu) → byobu (Ubuntu)
Changed in byobu (Ubuntu):
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → High
status: New → In Progress
jack (tribe4ever) wrote :

Mine output is:

-rwxr-sr-x 1 root utmp 376032 2009-06-23 15:33 /usr/bin/screen*
-rwxr-xr-x 1 root root 10408 2009-06-24 12:29 /usr/bin/screendump*
lrwxrwxrwx 1 root root 23 2009-06-27 08:20 /usr/bin/screen-launcher -> /usr/bin/byobu-launcher*
lrwxrwxrwx 1 root root 21 2009-06-27 08:20 /usr/bin/screen-profiles-status -> /usr/bin/byobu-status*
-rwxr-sr-x 1 root utmp 376032 2009-06-23 15:33 /usr/bin/screen.real*

Hii Dustin

thats amazing, i never thought i will get a personal reply like this after raising a bug report.

so nice of you. will send you the output of the command you gave.

Mean while i downloaded the ubuntu 9.10 alpha 2 release.

There was another bug i found, but it was itself not raising a bug report.  Im unable to mount any media other than ext4.  Ex external usb drive, or windows partition inside the hdd.  It complain about some message bus problem.

regards
shiva

________________________________
From: Dustin Kirkland <email address hidden>
To: <email address hidden>
Sent: Tuesday, 30 June, 2009 3:42:39 AM
Subject: [Bug 393204] Re: package screen-profiles 2.17-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 2

Hi-

What is the output of:

$ ls -alF /usr/bin/screen*

:-Dustin

** Package changed: screen-profiles (Ubuntu) => byobu (Ubuntu)

** Changed in: byobu (Ubuntu)
  Importance: Undecided => High

** Changed in: byobu (Ubuntu)
      Status: New => In Progress

** Changed in: byobu (Ubuntu)
    Assignee: (unassigned) => Dustin Kirkland (kirkland)

--
package screen-profiles 2.17-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 2
https://bugs.launchpad.net/bugs/393204
You received this bug notification because you are a direct subscriber
of the bug.

Status in “byobu” package in Ubuntu: In Progress

Bug description:
I was upgrading jaunty to karmic 64.  Acer aspire 2920 intel pentium 4 c2d.

ProblemType: Package
AptOrdering:
xserver-xorg-video-intel: Install
screen-profiles: Configure
xserver-xorg-video-intel: Configure
Architecture: amd64
Date: Sun Jun 28 23:57:37 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess post-installation script returned error exit status 2
Package: screen-profiles 2.17-0ubuntu1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.30-10.12-generic
SourcePackage: byobu
Title: package screen-profiles 2.17-0ubuntu1 failed to install/upgrade: subprocess post-installation script returned error exit status 2
Uname: Linux 2.6.30-10-generic x86_64

      ICC World Twenty20 England &#39;09 exclusively on YAHOO! CRICKET http://cricket.yahoo.com

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package byobu - 2.17-0ubuntu2

---------------
byobu (2.17-0ubuntu2) karmic; urgency=low

  * debian/screen-profiles.postinst: try to remove the dpkg-divert, but
    if it fails, let the installation proceed, since we've copied
    screen.real back into place now, LP: #393204

 -- Dustin Kirkland <email address hidden> Tue, 30 Jun 2009 10:30:39 -0700

Changed in byobu (Ubuntu):
status: In Progress → Fix Released

Architecture: i386
DistroRelease: Ubuntu 9.10
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.31-1-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Nick Ellery (nick.ellery) wrote :

Confirming that the fix was good and a Jaunty > Karmic upgrade went smoothly without the error.

Kiki (mess110) wrote :

I still got the bug. I sent an error report!

cazacugmihai (cazacugmihai) wrote :

I've got this error after an update from 9.04 to version 9.10.

$ ls -alF /usr/bin/screen*
-rwxr-sr-x 1 root utmp 376032 2009-06-23 22:33 /usr/bin/screen*
-rwxr-xr-x 1 root root 10408 2009-06-24 19:29 /usr/bin/screendump*
lrwxrwxrwx 1 root root 23 2009-07-08 18:05 /usr/bin/screen-launcher -> /usr/bin/byobu-launcher*
-rwxr-xr-x 1 root root 271 2008-06-04 15:31 /usr/bin/screenlets*
-rwxr-xr-x 1 root root 3233 2008-06-04 15:31 /usr/bin/screenletsd*
-rwxr-xr-x 1 root root 269 2008-06-04 15:31 /usr/bin/screenlets-daemon*
-rwxr-xr-x 1 root root 271 2008-06-04 15:31 /usr/bin/screenlets-manager*
-rwxr-xr-x 1 root root 273 2008-06-04 15:31 /usr/bin/screenlets-packager*
lrwxrwxrwx 1 root root 21 2009-07-08 18:05 /usr/bin/screen-profiles-status -> /usr/bin/byobu-status*
-rwxr-sr-x 1 root utmp 376032 2009-07-06 08:37 /usr/bin/screen.real*
-rwxr-xr-x 1 root root 2980 2008-12-22 22:08 /usr/bin/screenruler*

Were you upgrading to the current Karmic, or to Karmic-Alpha2?
Looking at your package versions, it looks like you upgraded to
alpha2.

As far as I'm aware, this is fixed in the current repository.

:-Dustin

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers